Bug 441187 - Review Request: freenx-client - Free client libraries and binaries for the NX protocol
Review Request: freenx-client - Free client libraries and binaries for the NX...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 438660
  Show dependency treegraph
 
Reported: 2008-04-06 23:31 EDT by Axel Thimm
Modified: 2008-09-10 02:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 23:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-04-06 23:31:26 EDT
Spec URL: http://dl.atrpms.net/all/freenx-client.spec
SRPM URL: http://dl.atrpms.net/all/freenx-client-0.9-6.src.rpm
Description: 
NX is an exciting new technology for remote display. It provides near
local speed application responsiveness over high latency, low
bandwidth links. The core libraries for NX are provided by NoMachine
under the GPL. FreeNX is a GPL implementation of the NX Server.

freenx is part of Fedora, but upstream now ships freenx-server and freenx-client, see bug #438660. freenx-server is obsoleting/providing freenx.
Comment 1 Axel Thimm 2008-04-06 23:33:39 EDT
I already see I forgot to adjust the description. :/
But please give a review anyway, so I can fix it all in one sweep. Thanks!
Comment 2 Kevin Fenzi 2008-04-07 14:56:13 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
777b3cda7a245e3870d4870a9460cb73  freenx-client-0.9.tar.bz2
777b3cda7a245e3870d4870a9460cb73  freenx-client-0.9.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

See below - Headers/static libs in -devel subpackage.
See below - Spec has needed ldconfig in post and postun
See below - .pc files in -devel subpackage/requires pkgconfig
See below - .so files in -devel subpackage.
See below - -devel package Requires: %{name} = %{version}-%{release}
See below - .la files are removed.

See below - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Fix the description. ;)

2. The License seems to be GPLv2+ here. All the code I can see has the 'or later'
in it. Can you confirm and adjust the License tag? Also, you might ping upstream
to include a copy of the GPL and ship it once they do?

3. Minor/nitpick: Can this package (and now that I think of it, the server as well)
use %{?_smp_mflags}?

4. Might split off those devel files to a devel subpackage?
Or if there isn't much point now, perhaps remove them for now?

5. Might consider making a desktop file for the clients?

6. rpmlint says:
freenx-client.i386: W: devel-file-in-non-devel-package
/usr/include/nxcl/nxclientlib.h
freenx-client.i386: W: devel-file-in-non-devel-package /usr/include/nxcl/notQt.h
freenx-client.i386: W: devel-file-in-non-devel-package /usr/include/nxcl/nxdata.h
freenx-client.i386: W: devel-file-in-non-devel-package /usr/lib/pkgconfig/nxcl.pc
freenx-client.i386: W: devel-file-in-non-devel-package
/usr/include/nxcl/nxclientlib_i18n.h
freenx-client.i386: W: devel-file-in-non-devel-package /usr/include/nxcl/nxsession.h
freenx-client.i386: W: devel-file-in-non-devel-package /usr/lib/libnxcl.so
freenx-client.i386: W: devel-file-in-non-devel-package /usr/include/nxcl/nxcl.h
freenx-client.i386: E: library-without-ldconfig-postin /usr/lib/libnxcl.so.1.0.0
freenx-client.i386: E: library-without-ldconfig-postun /usr/lib/libnxcl.so.1.0.0

All would be fixed by nuking the devel files or shipping them in a devel subpackage.
Comment 3 Axel Thimm 2008-04-14 08:57:18 EDT
http://dl.atrpms.net/all/freenx-client-0.9-7.src.rpm
http://dl.atrpms.net/all/freenx-client.spec

* Thu Apr 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9-7
- Fix description.
- Remove devel files and embedded *-devel Provides:.
- Create a desktop file for qtnx.

Comment 4 Kevin Fenzi 2008-04-15 00:09:15 EDT
Everything looks good to me... You might look at point #3 above sometime, but as
I said, thats a minor item, not a blocker. 

I see no further issues, so this package is APPROVED. 
Comment 5 Axel Thimm 2008-04-21 17:42:51 EDT
Thanks for the review, Kevin!

New Package CVS Request
=======================
Package Name: freenx-client
Short Description: Free client libraries and binaries for the NX protocol
Owners: athimm
Branches: F-7 F-8
InitialCC: Jon Ciesla (limb)
Cvsextras Commits: no (too many people)
Comment 6 Kevin Fenzi 2008-04-22 13:15:23 EDT
I assume you wanted a F-9 branch as well. 

cvs done (with F-9 branch added). 
Comment 7 Axel Thimm 2008-04-22 16:20:21 EDT
(In reply to comment #6)
> I assume you wanted a F-9 branch as well. 
> 
> cvs done (with F-9 branch added). 

Thanks - yes, I was still in the past :)

(although I'll contact releng before building anything for F9 at this point in time)
Comment 8 ed leaver 2008-05-26 16:33:21 EDT
Hi. I'm trying to install freenx on Fedora9 x86_64. Here freenx-server depends
on /usr/lib64/nx, but there is no Fedora 9 nx.x86_64.rpm, just nx.i386.rpm.
Likewise, there is no freenx_server.i386.rpm to take advantage of 32-bit
/usr/lib/nx. F'rinstrance:

[root ~]# yum install freenx-server
Loaded plugins: kernel-module, refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package freenx-server.x86_64 0:0.7.2-8.fc9 set to be updated
--> Processing Dependency: expect for package: freenx-server
--> Processing Dependency: /usr/lib64/nx for package: freenx-server
--> Processing Dependency: /usr/bin/expect for package: freenx-server
--> Running transaction check
---> Package freenx-server.x86_64 0:0.7.2-8.fc9 set to be updated
--> Processing Dependency: /usr/lib64/nx for package: freenx-server
---> Package expect.x86_64 0:5.43.0-13.fc9 set to be updated
--> Finished Dependency Resolution
freenx-server-0.7.2-8.fc9.x86_64 from updates has depsolving problems
  --> Missing Dependency: /usr/lib64/nx is needed by package
freenx-server-0.7.2-8.fc9.x86_64 (updates)
Error: Missing Dependency: /usr/lib64/nx is needed by package
freenx-server-0.7.2-8.fc9.x86_64 (updates)

A 64-bit nx package would appear to be in order. And thanks to Kevin for so much
krud!

Ed Leaver
eleaver@earthlink.net
Comment 9 Kevin Fenzi 2008-08-11 23:18:18 EDT
This package has been imported and built for rawhide at least. 

Please consider F8/F9 builds. 

In reply to comment #8: Please file a new bug about that issue?

Closing.
Comment 10 Axel Thimm 2008-08-12 03:01:56 EDT
(In reply to comment #9)
> Please consider F8/F9 builds. 

OK, queued in.

> In reply to comment #8: Please file a new bug about that issue?

There is already bug #446816 which is about to be resolved (builds submitted as well).

But I wonder why neither this bug, nor bug #446816 appear on my frontpage.cgi :(
(OK this one is closed now, but the other one is assigned and modified). I'll check this and report to the bugzilla master.

Also Ed, sorry for missing your comment until now, maybe bugzilla didn't present it on my frontpage, or I just overlooked it. I'll put you on Cc to bug #446816, so you can follow up the new builds and their propagation through testing etc.
Comment 11 Fedora Update System 2008-08-12 03:06:49 EDT
freenx-client-0.9-7.fc9 has been submitted as an update for Fedora 9
Comment 12 Fedora Update System 2008-09-10 02:44:49 EDT
freenx-client-0.9-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.